glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Namespace List
- Namespace Members

Classes | Enumerations
Glib::Threads Namespace Reference

## Classes
class | Cond
| An opaque data structure to represent a condition. More...
class | Mutex
| Represents a mutex (mutual exclusion). More...
class | Private
| Thread-local data pointer. More...
class | RecMutex
| This represents a recursive mutex. More...
class | RWLock
| This represents a reader-writer lock. More...
class | Thread
| Represents a running thread. More...
class | ThreadError
| Exception class for thread-related errors. More...

## Enumerations

## Detailed Description

Deprecated:
  The entire Glib::Threads API is deprecated in favor of the standard C++ concurrency API in C++11 and C++14.